#ifndef BLUECORE_NAMED_H
#define BLUECORE_NAMED_H

#include <string>

namespace BlueCore
{
	class Named
	{
	private:
	
		std::string	_Name;

	public:

		/**
		 * Default constructor.
		*/
		inline Named() :
			_Name( "" )
		{
			
		}


		/**
		 * Constructor.
		 * @param strName set initial name
		*/
		inline Named( const std::string &name ) :
			_Name( name )
		{
		}


		/**
		 * Destructor.
		*/
		virtual	inline ~Named()
		{
		}


		/**
		 * Get the name.
		 * @return returns the name
		*/
		inline const std::string &getName() const
		{
			return _Name;
		}


		/**
		 * Set the name.
		*/
		inline void setName( const std::string &name )
		{
			_Name = name;
		}
	};
}

#endif
